﻿<?xml version="1.0" encoding="utf-8"?>
<!--
Этот файл используется в процессе публикации или упаковки вашего веб-проекта. Вы можете настроить поведение процесса,
изменив этот файл MSBuild. Дополнительные сведения см. по адресу http://go.microsoft.com/fwlink/?LinkID=208121. 
-->
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <WebPublishMethod>MSDeploy</WebPublishMethod>
    <LastUsedBuildConfiguration>Release</LastUsedBuildConfiguration>
    <LastUsedPlatform>Any CPU</LastUsedPlatform>
    <SiteUrlToLaunchAfterPublish>http://mysouvenir.azurewebsites.net</SiteUrlToLaunchAfterPublish>
    <LaunchSiteAfterPublish>True</LaunchSiteAfterPublish>
    <ExcludeApp_Data>False</ExcludeApp_Data>
    <MSDeployServiceURL>mysouvenir.scm.azurewebsites.net:443</MSDeployServiceURL>
    <DeployIisAppPath>MySouvenir</DeployIisAppPath>
    <RemoteSitePhysicalPath />
    <SkipExtraFilesOnServer>True</SkipExtraFilesOnServer>
    <MSDeployPublishMethod>WMSVC</MSDeployPublishMethod>
    <EnableMSDeployBackup>True</EnableMSDeployBackup>
    <UserName>$MySouvenir</UserName>
    <_SavePWD>True</_SavePWD>
    <_DestinationType>AzureWebSite</_DestinationType>
    <PublishDatabaseSettings>
      <Objects xmlns="">
        <ObjectGroup Name="DefaultConnection" Order="1" Enabled="False">
          <Destination Path="Data Source=tcp:detc87vl8v.database.windows.net,1433;Initial Catalog=Souvenir_db;User ID=cons@detc87vl8v;Password=Summer38Scream" />
          <Object Type="DbCodeFirst">
            <Source Path="DBMigration" DbContext="Souvenir.Core.Models.GeneralDBContext, Core" MigrationConfiguration="Souvenir.Core.Migrations.Configuration, Core" Origin="Configuration" />
          </Object>
        </ObjectGroup>
      </Objects>
    </PublishDatabaseSettings>
    <ADUsesOwinOrOpenIdConnect>False</ADUsesOwinOrOpenIdConnect>
  </PropertyGroup>
  <ItemGroup>
    <MSDeployParameterValue Include="$(DeployParameterPrefix)DefaultConnection-Web.config Connection String">
      <ParameterValue>Data Source=tcp:detc87vl8v.database.windows.net,1433;Initial Catalog=Souvenir_db;User ID=cons@detc87vl8v;Password=Summer38Scream</ParameterValue>
    </MSDeployParameterValue>
  </ItemGroup>
</Project>